if length(dbstack)==1 % ie. directly execute
  clear; close all
  N=50;
  u=@(x,y,z)fc_vfemp1.addon.surface.samples.uxyz01(x,y,z);
  f=@(x,y,z)fc_vfemp1.addon.surface.samples.fxyz01(x,y,z);
  Fmap=@(x,y,z)fc_vfemp1.addon.surface.samples.Fmapxyz01(x,y,z);
end

[bvp,info]=fc_vfemp1.addon.surface.samples.set_sBVP03_sphere_map(N,'u',u,'f',f,'Fmap',Fmap,'verbose',1);

tstart=tic();
U=fc_vfemp1.addon.surface.samples.solveBeltrami(bvp);
T(1)=toc(tstart);

fprintf('*** Solving surface BVP in %.3f(s)\n', T(1))
tstart=tic();
fc_vfemp1.addon.surface.samples.plotSBVPsolution(bvp,info,U);
T(1)=toc(tstart);
fprintf('*** Plotting in %.3f(s)\n', T(1))